# ContentRequestManager

Створений для відправлення гнучких запитів на кінцеву точку API.

### Використання
```php
<?php

// Створення об'єкту запиту.
$client = (new HttpCachedClientInterface())
  ->setBody([
    'text' => 'some',
    'target' => '_blank',
    'other' => 'body value'
  ])
  ->withBody('token', '72db79a9c0d3d0742c7b1')
  ->setEndpoint('/en/basket/api/v1.0/news')
  ->setMethod('GET')
;

// Виклик сервісу для керування запитами.
$requestManager = \Drupal::service('bot.content_request');

// Відправлення запиту з передачею об'єкта
// HttpCachedClientInterface для побудови request-у.
$response = $requestManager->send($client);

```
